/* Gallery */
#nav-hashtagFeed .hashtagLogo {
    padding: 1rem;
    background: #2a7cdb;
    display: grid;
    place-content: center;
    border-radius: 50%;
}

#nav-hashtagFeed .sm-btns {
    display: flex;
    gap: 1rem;
}

#nav-hashtagFeed .sm-btns .sm-btn {
    font-weight: bold;
    font-size: 1.75rem;
    cursor: pointer;
    padding: 0.5rem;
    border-radius: 50px;
    background: #ed7547;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: grid;
    place-content: center;
    text-align: center;
}

#nav-hashtagFeed .sm-btns .all.sm-btn {
    width: max-content;
    border-radius: 50px;
    padding: 0.5rem 1.5rem;
    font-size: 1.25rem;
}

#hashtag-modal button.btn-close {
    position: absolute;
    top: 0px;
    right: 6px;
    font-size: 1.5rem;
    z-index: 2;
    cursor: pointer;
    opacity: 0.8;
}

#hashtag-modal .modal-body {
    padding: 0rem;
    max-height: unset;
}

#hashtag-modal .modal-body .post-img {
    width: 100%;
}

#hashtag-modal .modal-body .post-desc-details {
    padding: 1rem;
    position: absolute;
    bottom: 0px;
    background: rgba(0, 0, 0, 0.6);
    width: 100%;
    color: white;
    max-height: 250px;
    overflow-y: auto;
}

#hashtag-modal .modal-body .post-desc-details p {
    margin-bottom: 0rem !important;
    color: inherit;
}

/* act sooner */
@keyframes floating {
    0% {
        translate: 0 0%;
    }

    50% {
        translate: 0 1rem;
    }

    0% {
        translate: 0 0%;
    }
}

#floating-image {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    width: 90px;
    height: auto;
    text-decoration: none;
    animation: floating 3s ease-in-out infinite 0.5s;
    font-size: 14px;
    z-index: 1000;
}

    #floating-image img {
        width: 100%;
        height: 100%;
    }

    #floating-image .hover-tooltip {
        background: #307fde;
        color: white;
        padding: 0.25rem 0.5rem;
        text-align: center;
        border-radius: 0.25rem;
        margin-bottom: 0.5rem;
        opacity: 0;
        visibility: none;
        transition: all 0.3s ease;
    }

    #floating-image:hover {
        animation-play-state: paused;
    }

        #floating-image:hover .hover-tooltip {
            opacity: 1;
            visibility: visible;
        }

@media (max-width: 768px) {
    #floating-image {
        bottom: calc(100px + 1rem);
    }
}